@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import "../support/_processes-mixins.scss";

.yw-processes {  
  &-list {
    min-width: $processes__list--min-width;
    transition: $processes__list--transition;
    height: $processes__list--height;
    overflow: auto;
    border: none;
    
    .z-listcell-content .z-label,
    .z-listcell-content .z-stopwatch{
        color: $processes__list-item-label--color;
        font-size: $processes__list-item-label--font-size;
        text-align: $processes__list-item-label--text-align;
    }
    .yw-processes-no-access.z-label{
      width: 100%;
      color: $processes__list-item-no-access-label--color;
      font-size: $processes__list-item-no-access-label--font-size;
      font-style: $processes__list-item-no-access-label--font-style;
      text-align: $processes__list-item-no-access-label--text-align;
      display: inline-block;
    }

    &-item {
        &-content {
            padding: $processes__list-item-content--padding;

            &-code {
                clear: left;
                display: block;
                text-align: left;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
            }
            &-edit {
                bottom: $processes__list-item-edit-btn--bottom;
                clear: left;
                float: right;
                text-align: center;
                position: absolute;
                right: 0;

                &:empty {
                    width: $processes__list-item-edit-btn--size;
                    height: $processes__list-item-edit-btn--size;
                    display: block;
                    padding: 0;
                    min-height: 0;
                    @include _addButtonBackgroundDots();

                    &:hover,
                    &:focus,
                    &:active,
                    span + & {
                        @include _addButtonBackgroundDots(-$processes__list-item-edit-btn--size);
                    }
                }   
            }
            &-date {
                display: block;
            }
        }
    }

    tr.z-listitem {
        &, &:hover, &-selected, &-selected:hover {
            background-color: transparent;
        }
        &:hover {
            cursor: default;
        }
        .z-listcell {
            border-top-width: 0;
        }
        &:last-child .z-listcell {
            border-bottom: $processes__list-item--border;
        }
    }
    tbody.z-listbox-emptybody td {
      background: transparent;
    }
  }
}